create_function
func_get_args
Function handling Functions
PHP Manual

# func_get_arg

(PHP 4, PHP 5)

func_get_arg — Return an item from the argument list

### Description

mixed func_get_arg ( int `$arg_num` )

Gets the specified argument from a user-defined function's argument list.

This function may be used in conjunction with func_get_args() and func_num_args() to allow user-defined functions to accept variable-length argument lists.

### Parameters

`arg_num`

  The argument offset. Function arguments are counted starting from zero.

### Return Values

Returns the specified argument, or `FALSE` on error.

### ChangeLog

Version | Description
--- | ---
5.3.0 | This function can now be used in parameter lists.

### Errors/Exceptions

Generates a warning if called from outside of a user-defined function, or if `arg_num` is greater than the number of arguments actually passed.

### Examples

Example #1 func_get_arg() example

`<?php
function foo()
{
$numargs = func_num_args();
echo "Number of arguments: $numargs<br />\n";
if ($numargs >= 2) {
echo "Second argument is: " . func_get_arg(1) . "<br />\n";
}
}
foo (1, 2, 3);
?>`

### Notes

> Note: Because this function depends on the current scope to determine parameter details, it cannot be used as a function parameter. If this value must be passed, the results should be assigned to a variable, and that variable should be passed.

> Note: This function returns a copy of the passed arguments only, and does not account for default (non-passed) arguments.

### See Also

- func_get_args()
- func_num_args()

create_function
func_get_args
Function handling Functions
PHP Manual